## Apache Zeta Components Manual :: Docs For Class ezcDocumentEzXmlToDocbookMappingHandler

### Document::ezcDocumentEzXmlToDocbookMappingHandler

### Class ezcDocumentEzXmlToDocbookMappingHandler

Simple mapping handler.

Special visitor for elements which just need trivial mapping of element tag names. It ignores all attributes of the input element and just converts the tag name.

Source for this file: /Document/src/converters/element_visitor/ezxml/docbook/mapper.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentEzXmlToDocbookMappingHandler

Version: | //autogen//

### Member Variables

protected array | `$mapping = array( 'section' => 'section', 'paragraph' => 'para', 'li' => 'listitem', )` Mapping of element names. Element tag name mapping for elements, which just require trivial mapping used by the visitWithMapper() method.

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3